GenAI Integration
Upload file (Gemini format)
Uploads a file using Google Gemini API format.
This is a multipart upload with two parts:
- "metadata": JSON object containing file metadata
- "file": Binary file content
Note: Direct file content download is not supported by Gemini Files API. Use the file.uri field from the response to access uploaded files.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
metadata?object
JSON metadata part; see encoding at the path for contentType application/json.
filefile
Format
binaryResponse Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/genai/upload/v1beta/files" \ -F file="string"{
"file": {
"name": "string",
"displayName": "string",
"mimeType": "string",
"sizeBytes": "string",
"createTime": "2019-08-24T14:15:22Z",
"updateTime": "2019-08-24T14:15:22Z",
"expirationTime": "2019-08-24T14:15:22Z",
"sha256Hash": "string",
"uri": "string",
"state": "STATE_UNSPECIFIED",
"error": {
"code": 0,
"message": "string"
},
"videoMetadata": {
"videoDuration": "string"
}
}
}{
"error": {
"code": 0,
"message": "string",
"status": "string",
"details": [
{
"@type": "string",
"fieldViolations": [
{
"description": "string"
}
]
}
]
}
}{
"error": {
"code": 0,
"message": "string",
"status": "string",
"details": [
{
"@type": "string",
"fieldViolations": [
{
"description": "string"
}
]
}
]
}
}